Subject: Protocol Action: 'Formally Deprecating some IPv4 Options' to Proposed Standard (draft-gp-intarea-obsolete-ipv4-options-iana-02.txt)

From: The IESG <[email-masked]>
Date: Mon, 29 Oct 2012 10:20:06 -0700

The IESG has approved the following document:
- 'Formally Deprecating some IPv4 Options'
  (draft-gp-intarea-obsolete-ipv4-options-iana-02.txt) as Proposed
Standard

This document has been reviewed in the IETF but is not the product of an
IETF Working Group.

The IESG contact person is Ronald Bonica.

A URL of this Internet Draft is:
http://datatracker.ietf.org/doc/draft-gp-intarea-obsolete-ipv4-options-iana/

Technical Summary

   A number of IPv4 options have become obsolete in practice, but have
   never been formally deprecated.  This document deprecates such IPv4
   options, thus cleaning up the corresponding IANA registry, and
   serving as a basis for providing advice about the filtering of
   packets containing these options.  Additionally, it requests that the
   status of the corresponding RFCs be changed to "Historic".

Working Group Summary

This document was not produced by any WG.

Document Quality

This document document is largely administrative. It formally deprecates several  IPv4 options that have long ago become obsolete in practice.

Personnel

 Scott Bradner is document shepherd. Ron Bonica is responsible AD

RFC Editor Note

OLD>
 A number of IPv4 options have become obsolete in practice, but have
   never been formally deprecated.  This document deprecates such IPv4
   options, thus cleaning up the corresponding IANA registry, and
   serving as a basis for providing advice about the filtering of
   packets containing these options.  Additionally, it requests that the
   status of the corresponding RFCs be changed to "Historic".
<OLD
NEW>
   A number of IPv4 options have become obsolete in practice, but have
   never been formally deprecated.  This document deprecates such IPv4
   options, thus cleaning up the corresponding IANA registry, and
   serving as a basis for providing advice about the filtering of
   packets containing these options.  Additionally, it requests that the
   status of the corresponding RFCs be changed to "Historic". It also 
   obsoletes RFC 1385,RFC  1393, RFC 1475 and RFC 1770.
<NEW

OLD>
   A number of IPv4 options have become obsolete in practice, but have
   never been formally deprecated.  This document deprecates such IPv4
   options, thus cleaning up the corresponding IANA registry, and
   serving as a basis for providing advice about the filtering of
   packets containing these options.  Additionally, it requests that the
   status of the corresponding RFCs be changed to "Historic".
<OLD
NEW>
   A number of IPv4 options have become obsolete in practice, but have
   never been formally deprecated.  This document deprecates such IPv4
   options, thus cleaning up the corresponding IANA registry.  Additionally, 
   it requests that the status of the corresponding RFCs be changed to "Historic".
<NEW

OLD>
This document does not modify the security properties of the IPv4 Options being deprecated.  However, formally deprecating these options serves as a basis for e.g. providing advice about filtering packets containing these options (as in [I-D.ietf-opsec-ip-options-filtering]).
<OLD
NEW>
This document does not modify the security properties of the IPv4 Options being deprecated.  
<NEW

OLD>
[I-D.ietf-opsec-ip-options-filtering]
Gont, F., Atkinson, R., and C. Pignataro, "Recommendations on filtering of IPv4 packets containing IPv4 options",
draft-ietf-opsec-ip-options-filtering-00 (work in progress), June 2012.
<OLD
NEW>
<NEW

OLD>
The Address Extension option is defined in the Experimental  [RFC1475], and marked as IPv7.
<OLD
NEW>
The Address Extension option is defined in the Experimental  [RFC1475], and marked as IPv7. IPv7 was never widely deployed.
<NEW

OLD>
The Selective Directed Broadcast option is originally defined in  [RFC1770].
OLD<
NEW>
The Selective Directed Broadcast option was originally defined in RFC  [RFC1770]. This option was never widely deployed and the approach was abandoned. 
<NEW

OLD>
The Dynamic Packet State option was specified in  [I-D.stoica-diffserv-dps].  The aforementioned document was meant to  be published as "Experimental", but never became an RFC.
<OLD
NEW>
The Dynamic Packet State option was specified in  [I-D.stoica-diffserv-dps].  The aforementioned document was meant to  be published as "Experimental", but never became an RFC. The IP option was never widely deployed.
<NEW

Also, please move the references to RFCs  1191, 1393, and 1812 from Section 7.1 (Normative References) to Section 7.2 (Informative References)